# hy-cta-link

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description | Type      | Default     |
| ------------- | -------------- | ----------- | --------- | ----------- |
| `isExternal`  | `is-external`  |             | `boolean` | `false`     |
| `linkContent` | `link-content` |             | `string`  | `''`        |
| `scLabel`     | `sc-label`     |             | `string`  | `undefined` |
| `url`         | `url`          |             | `string`  | `undefined` |

## Dependencies

### Used by

- [hy-adjacent-image-text](../adjacent-image-text)
- [hy-link-box](../link-box)

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-cta-link --> hy-icon
  hy-adjacent-image-text --> hy-cta-link
  hy-link-box --> hy-cta-link
  style hy-cta-link fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
